#56 gap4 fails to load with 1.6.0

v1.6.0
closed-fixed
Gap4 (50)
5
2006-07-06
2005-12-21
Simon Andrews
No

I'm trying to run staden on Ubuntu 5.10. I'm using
bash and have correctly set stadenroot and sourced
staden.profile.

Pregap launches fine, but when I try to launch gap I get:

invalid_command_name "load_alignment_matrix"

while executing

"load alignment matrix [keylget gap_defs
ALIGNMENT.MATRIX_FILE]"

(file /usr/local/staden/lib/gap/gap.tcl" line 683)

A quick google search for "load_alignment_matrix" shows
a few other people with the same problem, but no sign
of a fix.

Discussion

  • MTop
    MTop
    2006-02-15

    Logged In: YES
    user_id=1452993

    I have the same problem when using gap4 under Mandrake 2005.
    When using the same binaries in SuSE 10.0 everything works
    just fine!
    I have had this problem for some time now end Iĺl realy need
    to get the Mandrake machine working. Have you managed to fix
    the problem?

    /MT

     
  • James Bonfield
    James Bonfield
    2006-03-10

    Logged In: YES
    user_id=154581

    Sorry for slow reply - I've been (and still are) busy with
    other projects for a few months.

    Can you try setting the STADEN_DEBUG environment variable to
    1 and executing it again? I expect it's missing a library -
    most probably libg2c.so.

    James

     
  • MTop
    MTop
    2006-03-15

    Logged In: YES
    user_id=1452993

    Yes, I found the fix under a question posted earlier. After
    setting "STADEN_DEBUG=enable" I foundout what library was
    missing. Now it works fine under SuSE 10.0 and Mandrake
    2005. When installing the Staden package 1.6.0 on a machine
    running Fedora core 2 there was no problem at all.

    Thanks
    Mats

     
  • James Bonfield
    James Bonfield
    2006-07-06

    • assigned_to: nobody --> jkbonfield
    • status: open --> closed-fixed